Endpoint Examples

/totals

Get summary metrics on all postings matching the filters.

POST /totals

NameTypeDescription
soc_versionenum

Specify SOC taxonomy version to use.

This parameter is optional.

Default: uk_soc_2020

Must be one of: uk_soc_2020

area_versionenum

Specify area taxonomy version to use.

This parameter is optional.

Default: uk_area_2015

Must be one of: uk_area_2015

title_versionenum

Specify Job Title taxonomy version to use.

This parameter is optional.

Default: emsi

Must be one of: emsi

company_versionenum

Specify company taxonomy version to use.

This parameter is optional.

Default: emsi_company

Must be one of: emsi_company

new_taxonomy_versionsenum

Use new taxonomy versions.

This parameter is optional.

Must be one of: true, false

lot_versionenum

Specify LOT taxonomy version to use.

This parameter is optional.
Default: 7

Must be one of: 6, 7

Request Body

{
  "filter": {
    "when": {
      "start": "2020-01",
      "end": "2020-03"
    },
    "city_name": [
      "London, England"
    ],
    "title_name": [
      "Staff Nurses"
    ]
  },
  "metrics": [
    "unique_companies",
    "unique_postings",
    "median_posting_duration"
  ]
}

Code Examples

curl --request POST \
  --url https://api.lightcast.io/uk-jpa/totals \
  --header 'Authorization: Bearer <ACCESS_TOKEN>' \
  --header 'Content-Type: application/json' \
  --data '{ "filter": { "when": { "start": "2020-01", "end": "2020-03" }, "city_name": [ "London, England" ], "title_name": [ "Staff Nurses" ] }, "metrics": [ "unique_companies", "unique_postings", "median_posting_duration" ] }'

Response Examples

{
  "data": {
    "totals": {
      "median_posting_duration": 36,
      "unique_companies": 335,
      "unique_postings": 1350
    }
  }
}
//Your request wasn't valid (bad parameter names or values).

{
  "errors": [
    {
      "status": 400,
      "title": "Malformed Request",
      "detail": "Expected array"
    }
  ]
}
//Your request wasn't unauthorized.

{
  "errors": [
    {
      "status": 401,
      "title": "Unauthorized Request",
      "detail": "You are not authorized to access this resource."
    }
  ]
}
//Your request wasn't valid (bad keyword expression).

{
  "errors": [
    {
      "status": 422,
      "title": "Invalid request content",
      "detail": "Invalid keyword search expression syntax:\n\t\"general merchandise\" OR \"apparel\" OR \"grocery\" OR\n\t                                                  ^"
    }
  ]
}